Bug 14051 - Неупакованные файлы в пакете
: Неупакованные файлы в пакете
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/pear-core)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2008-01-17 10:39 by
Modified: 2008-01-21 05:11 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-01-17 10:39:44
А это нормально, что там неупакованные файлы:
    /usr/share/php/pear/data/Structures_Graph/LICENSE
    /usr/share/php/pear/data/Structures_Graph/genpackage.xml.pl
    /usr/share/php/pear/data/Structures_Graph/package.sh
    /usr/share/php/pear/data/Structures_Graph/publish.sh
    /usr/share/php/pear/tests/Structures_Graph/tests/README
    /usr/share/php/pear/tests/Structures_Graph/tests/all-tests.php
    /usr/share/php/pear/tests/Structures_Graph/tests/testCase/BasicGraph.php

Надо добавить в files, я так понимаю:
%pear_datadir/Structures_Graph/
%pear_testdir/Structures_Graph/
------- Comment #1 From 2008-01-17 11:11:40 -------
/usr/share/php/pear/data/Structures_Graph/genpackage.xml.pl
/usr/share/php/pear/data/Structures_Graph/package.sh
/usr/share/php/pear/data/Structures_Graph/publish.sh
Эти файлы необходимы для сборки пакета и генерации xml файла, в котором 
содержатся файлы пакета с их md5 суммами. думаю они в системе не нужны.


/usr/share/php/pear/data/Structures_Graph/LICENSE
в этом файле лишь тескт GNU GPL v2

/usr/share/php/pear/tests/Structures_Graph/tests/README
Это пустой файл

/usr/share/php/pear/tests/Structures_Graph/tests/all-tests.php
/usr/share/php/pear/tests/Structures_Graph/tests/testCase/BasicGraph.php
эти файлы для тестирования работоспособности модуля.. не знаю нужно ли их в 
пакет.
------- Comment #2 From 2008-01-17 11:56:08 -------
Наверное тогда в %install
надо поместить
rm -rf на эти каталоги, чтобы он никого не смущали.
------- Comment #3 From 2008-01-18 03:06:22 -------
Как я понял, файлы c . (точкой) в начале были важными:

$ pear list
Warning: touch(): Unable to create file /usr/share/php/pear/.lock because 
Permission denied in Registry.php on line 788
------- Comment #4 From 2008-01-18 08:32:05 -------
Добавлены все файлы в пакет кроме
    /usr/share/php/pear/data/Structures_Graph/LICENSE
    /usr/share/php/pear/data/Structures_Graph/genpackage.xml.pl
    /usr/share/php/pear/data/Structures_Graph/package.sh
    /usr/share/php/pear/data/Structures_Graph/publish.sh

1.6.2-alt3 отправлен на сборку в сизиф.
------- Comment #5 From 2008-01-18 09:33:14 -------
Fixed